Handle Clerk Webhook
curl --request POST \
--url https://api.ontora.com/v1/clerk-webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/clerk-webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/clerk-webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
clerk-webhooks
Handle Clerk Webhook
Handle Clerk webhook events.
Supported events:
- organization.created → create Workspace + UserWorkspace (owner)
- organizationMembership.created → create UserWorkspace entry
- organizationMembership.deleted → delete UserWorkspace entry
- user.created → create personal Workspace for new users
- user.deleted → clean up personal vaults/connections
POST
/
v1
/
clerk-webhooks
Handle Clerk Webhook
Authorizations
ClerkJWTWorkspaceApiKey
Clerk-issued RS256 JWT.
Response
200 - application/json
Successful Response
Was this page helpful?
⌘I